diff --git a/snf-pithos-backend/pithos/backends/modular.py b/snf-pithos-backend/pithos/backends/modular.py
index 8b6458f..97e14b7 100644
--- a/snf-pithos-backend/pithos/backends/modular.py
+++ b/snf-pithos-backend/pithos/backends/modular.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -43,6 +43,8 @@ from base import DEFAULT_QUOTA, DEFAULT_VERSIONING, NotAllowedError, QuotaError,
     AccountExists, ContainerExists, AccountNotEmpty, ContainerNotEmpty, ItemNotExists, VersionNotExists
 
 # Stripped-down version of the HashMap class found in tools.
+
+
 class HashMap(list):
 
     def __init__(self, blocksize, blockhash):
@@ -83,7 +85,7 @@ QUEUE_MESSAGE_KEY_PREFIX = 'pithos.%s'
 QUEUE_CLIENT_ID = 'pithos'
 QUEUE_INSTANCE_ID = '1'
 
-( CLUSTER_NORMAL, CLUSTER_HISTORY, CLUSTER_DELETED ) = range(3)
+(CLUSTER_NORMAL, CLUSTER_HISTORY, CLUSTER_DELETED) = range(3)
 
 inf = float('inf')
 
@@ -101,6 +103,7 @@ def backend_method(func=None, autocommit=1):
 
     if not autocommit:
         return func
+
     def fn(self, *args, **kw):
         self.wrapper.execute()
         try:
@@ -118,10 +121,10 @@ def backend_method(func=None, autocommit=1):
 
 class ModularBackend(BaseBackend):
     """A modular backend.
-    
+
     Uses modules for SQL functions and storage.
     """
-    
+
     def __init__(self, db_module=None, db_connection=None,
                  block_module=None, block_path=None, block_umask=None,
                  queue_module=None, queue_connection=None):
@@ -132,16 +135,17 @@ class ModularBackend(BaseBackend):
         block_umask = block_umask or DEFAULT_BLOCK_UMASK
         #queue_module = queue_module or DEFAULT_QUEUE_MODULE
         #queue_connection = queue_connection or DEFAULT_QUEUE_CONNECTION
-        
+
         self.hash_algorithm = 'sha256'
-        self.block_size = 4 * 1024 * 1024 # 4MB
-        
-        self.default_policy = {'quota': DEFAULT_QUOTA, 'versioning': DEFAULT_VERSIONING}
-        
+        self.block_size = 4 * 1024 * 1024  # 4MB
+
+        self.default_policy = {'quota': DEFAULT_QUOTA,
+                               'versioning': DEFAULT_VERSIONING}
+
         def load_module(m):
             __import__(m)
             return sys.modules[m]
-        
+
         self.db_module = load_module(db_module)
         self.wrapper = self.db_module.DBWrapper(db_connection)
         params = {'wrapper': self.wrapper}
@@ -151,7 +155,7 @@ class ModularBackend(BaseBackend):
         self.node = self.db_module.Node(**params)
         for x in ['ROOTNODE', 'SERIAL', 'HASH', 'SIZE', 'TYPE', 'MTIME', 'MUSER', 'UUID', 'CHECKSUM', 'CLUSTER', 'MATCH_PREFIX', 'MATCH_EXACT']:
             setattr(self, x, getattr(self.db_module, x))
-        
+
         self.block_module = load_module(block_module)
         params = {'path': block_path,
                   'block_size': self.block_size,
@@ -168,30 +172,31 @@ class ModularBackend(BaseBackend):
             class NoQueue:
                 def send(self, *args):
                     pass
-                
+
                 def close(self):
                     pass
-            
+
             self.queue = NoQueue()
-    
+
     def close(self):
         self.wrapper.close()
         self.queue.close()
-    
+
     @backend_method
     def list_accounts(self, user, marker=None, limit=10000):
         """Return a list of accounts the user can access."""
-        
+
         logger.debug("list_accounts: %s %s %s", user, marker, limit)
         allowed = self._allowed_accounts(user)
         start, limit = self._list_limits(allowed, marker, limit)
         return allowed[start:start + limit]
-    
+
     @backend_method
     def get_account_meta(self, user, account, domain, until=None, include_user_defined=True):
         """Return a dictionary with the account metadata for the domain."""
-        
-        logger.debug("get_account_meta: %s %s %s %s", user, account, domain, until)
+
+        logger.debug(
+            "get_account_meta: %s %s %s %s", user, account, domain, until)
         path, node = self._lookup_account(account, user == account)
         if user != account:
             if until or node is None or account not in self._allowed_accounts(user):
@@ -207,35 +212,38 @@ class ModularBackend(BaseBackend):
         if until is None:
             modified = tstamp
         else:
-            modified = self._get_statistics(node)[2] # Overall last modification.
+            modified = self._get_statistics(
+                node)[2]  # Overall last modification.
             modified = max(modified, mtime)
-        
+
         if user != account:
             meta = {'name': account}
         else:
             meta = {}
             if props is not None and include_user_defined:
-                meta.update(dict(self.node.attribute_get(props[self.SERIAL], domain)))
+                meta.update(
+                    dict(self.node.attribute_get(props[self.SERIAL], domain)))
             if until is not None:
                 meta.update({'until_timestamp': tstamp})
             meta.update({'name': account, 'count': count, 'bytes': bytes})
         meta.update({'modified': modified})
         return meta
-    
+
     @backend_method
     def update_account_meta(self, user, account, domain, meta, replace=False):
         """Update the metadata associated with the account for the domain."""
-        
-        logger.debug("update_account_meta: %s %s %s %s %s", user, account, domain, meta, replace)
+
+        logger.debug("update_account_meta: %s %s %s %s %s", user,
+                     account, domain, meta, replace)
         if user != account:
             raise NotAllowedError
         path, node = self._lookup_account(account, True)
         self._put_metadata(user, node, domain, meta, replace)
-    
+
     @backend_method
     def get_account_groups(self, user, account):
         """Return a dictionary with the user groups defined for this account."""
-        
+
         logger.debug("get_account_groups: %s %s", user, account)
         if user != account:
             if account not in self._allowed_accounts(user):
@@ -243,12 +251,13 @@ class ModularBackend(BaseBackend):
             return {}
         self._lookup_account(account, True)
         return self.permissions.group_dict(account)
-    
+
     @backend_method
     def update_account_groups(self, user, account, groups, replace=False):
         """Update the groups associated with the account."""
-        
-        logger.debug("update_account_groups: %s %s %s %s", user, account, groups, replace)
+
+        logger.debug("update_account_groups: %s %s %s %s", user,
+                     account, groups, replace)
         if user != account:
             raise NotAllowedError
         self._lookup_account(account, True)
@@ -256,15 +265,15 @@ class ModularBackend(BaseBackend):
         if replace:
             self.permissions.group_destroy(account)
         for k, v in groups.iteritems():
-            if not replace: # If not already deleted.
+            if not replace:  # If not already deleted.
                 self.permissions.group_delete(account, k)
             if v:
                 self.permissions.group_addmany(account, k, v)
-    
+
     @backend_method
     def get_account_policy(self, user, account):
         """Return a dictionary with the account policy."""
-        
+
         logger.debug("get_account_policy: %s %s", user, account)
         if user != account:
             if account not in self._allowed_accounts(user):
@@ -272,22 +281,23 @@ class ModularBackend(BaseBackend):
             return {}
         path, node = self._lookup_account(account, True)
         return self._get_policy(node)
-    
+
     @backend_method
     def update_account_policy(self, user, account, policy, replace=False):
         """Update the policy associated with the account."""
-        
-        logger.debug("update_account_policy: %s %s %s %s", user, account, policy, replace)
+
+        logger.debug("update_account_policy: %s %s %s %s", user,
+                     account, policy, replace)
         if user != account:
             raise NotAllowedError
         path, node = self._lookup_account(account, True)
         self._check_policy(policy)
         self._put_policy(node, policy, replace)
-    
+
     @backend_method
     def put_account(self, user, account, policy={}):
         """Create a new account with the given name."""
-        
+
         logger.debug("put_account: %s %s %s", user, account, policy)
         if user != account:
             raise NotAllowedError
@@ -298,11 +308,11 @@ class ModularBackend(BaseBackend):
             self._check_policy(policy)
         node = self._put_path(user, self.ROOTNODE, account)
         self._put_policy(node, policy, True)
-    
+
     @backend_method
     def delete_account(self, user, account):
         """Delete the account with the given name."""
-        
+
         logger.debug("delete_account: %s %s", user, account)
         if user != account:
             raise NotAllowedError
@@ -312,12 +322,13 @@ class ModularBackend(BaseBackend):
         if not self.node.node_remove(node):
             raise AccountNotEmpty('Account is not empty')
         self.permissions.group_destroy(account)
-    
+
     @backend_method
     def list_containers(self, user, account, marker=None, limit=10000, shared=False, until=None, public=False):
         """Return a list of containers existing under an account."""
-        
-        logger.debug("list_containers: %s %s %s %s %s %s %s", user, account, marker, limit, shared, until, public)
+
+        logger.debug("list_containers: %s %s %s %s %s %s %s", user,
+                     account, marker, limit, shared, until, public)
         if user != account:
             if until or account not in self._allowed_accounts(user):
                 raise NotAllowedError
@@ -334,32 +345,37 @@ class ModularBackend(BaseBackend):
             start, limit = self._list_limits(allowed, marker, limit)
             return allowed[start:start + limit]
         node = self.node.node_lookup(account)
-        containers = [x[0] for x in self._list_object_properties(node, account, '', '/', marker, limit, False, None, [], until)]
-        start, limit = self._list_limits([x[0] for x in containers], marker, limit)
+        containers = [x[0] for x in self._list_object_properties(
+            node, account, '', '/', marker, limit, False, None, [], until)]
+        start, limit = self._list_limits(
+            [x[0] for x in containers], marker, limit)
         return containers[start:start + limit]
-    
+
     @backend_method
     def list_container_meta(self, user, account, container, domain, until=None):
         """Return a list with all the container's object meta keys for the domain."""
-        
-        logger.debug("list_container_meta: %s %s %s %s %s", user, account, container, domain, until)
+
+        logger.debug("list_container_meta: %s %s %s %s %s", user,
+                     account, container, domain, until)
         allowed = []
         if user != account:
             if until:
                 raise NotAllowedError
-            allowed = self.permissions.access_list_paths(user, '/'.join((account, container)))
+            allowed = self.permissions.access_list_paths(
+                user, '/'.join((account, container)))
             if not allowed:
                 raise NotAllowedError
         path, node = self._lookup_container(account, container)
         before = until if until is not None else inf
         allowed = self._get_formatted_paths(allowed)
         return self.node.latest_attribute_keys(node, domain, before, CLUSTER_DELETED, allowed)
-    
+
     @backend_method
     def get_container_meta(self, user, account, container, domain, until=None, include_user_defined=True):
         """Return a dictionary with the container metadata for the domain."""
-        
-        logger.debug("get_container_meta: %s %s %s %s %s", user, account, container, domain, until)
+
+        logger.debug("get_container_meta: %s %s %s %s %s", user,
+                     account, container, domain, until)
         if user != account:
             if until or container not in self._allowed_containers(user, account):
                 raise NotAllowedError
@@ -371,63 +387,70 @@ class ModularBackend(BaseBackend):
         if until is None:
             modified = tstamp
         else:
-            modified = self._get_statistics(node)[2] # Overall last modification.
+            modified = self._get_statistics(
+                node)[2]  # Overall last modification.
             modified = max(modified, mtime)
-        
+
         if user != account:
             meta = {'name': container}
         else:
             meta = {}
             if include_user_defined:
-                meta.update(dict(self.node.attribute_get(props[self.SERIAL], domain)))
+                meta.update(
+                    dict(self.node.attribute_get(props[self.SERIAL], domain)))
             if until is not None:
                 meta.update({'until_timestamp': tstamp})
             meta.update({'name': container, 'count': count, 'bytes': bytes})
         meta.update({'modified': modified})
         return meta
-    
+
     @backend_method
     def update_container_meta(self, user, account, container, domain, meta, replace=False):
         """Update the metadata associated with the container for the domain."""
-        
-        logger.debug("update_container_meta: %s %s %s %s %s %s", user, account, container, domain, meta, replace)
+
+        logger.debug("update_container_meta: %s %s %s %s %s %s",
+                     user, account, container, domain, meta, replace)
         if user != account:
             raise NotAllowedError
         path, node = self._lookup_container(account, container)
-        src_version_id, dest_version_id = self._put_metadata(user, node, domain, meta, replace)
+        src_version_id, dest_version_id = self._put_metadata(
+            user, node, domain, meta, replace)
         if src_version_id is not None:
             versioning = self._get_policy(node)['versioning']
             if versioning != 'auto':
                 self.node.version_remove(src_version_id)
-    
+
     @backend_method
     def get_container_policy(self, user, account, container):
         """Return a dictionary with the container policy."""
-        
-        logger.debug("get_container_policy: %s %s %s", user, account, container)
+
+        logger.debug(
+            "get_container_policy: %s %s %s", user, account, container)
         if user != account:
             if container not in self._allowed_containers(user, account):
                 raise NotAllowedError
             return {}
         path, node = self._lookup_container(account, container)
         return self._get_policy(node)
-    
+
     @backend_method
     def update_container_policy(self, user, account, container, policy, replace=False):
         """Update the policy associated with the container."""
-        
-        logger.debug("update_container_policy: %s %s %s %s %s", user, account, container, policy, replace)
+
+        logger.debug("update_container_policy: %s %s %s %s %s",
+                     user, account, container, policy, replace)
         if user != account:
             raise NotAllowedError
         path, node = self._lookup_container(account, container)
         self._check_policy(policy)
         self._put_policy(node, policy, replace)
-    
+
     @backend_method
     def put_container(self, user, account, container, policy={}):
         """Create a new container with the given name."""
-        
-        logger.debug("put_container: %s %s %s %s", user, account, container, policy)
+
+        logger.debug(
+            "put_container: %s %s %s %s", user, account, container, policy)
         if user != account:
             raise NotAllowedError
         try:
@@ -439,85 +462,101 @@ class ModularBackend(BaseBackend):
         if policy:
             self._check_policy(policy)
         path = '/'.join((account, container))
-        node = self._put_path(user, self._lookup_account(account, True)[1], path)
+        node = self._put_path(
+            user, self._lookup_account(account, True)[1], path)
         self._put_policy(node, policy, True)
-    
+
     @backend_method
     def delete_container(self, user, account, container, until=None, prefix='', delimiter=None):
         """Delete/purge the container with the given name."""
-        
-        logger.debug("delete_container: %s %s %s %s %s %s", user, account, container, until, prefix, delimiter)
+
+        logger.debug("delete_container: %s %s %s %s %s %s", user,
+                     account, container, until, prefix, delimiter)
         if user != account:
             raise NotAllowedError
         path, node = self._lookup_container(account, container)
-        
+
         if until is not None:
-            hashes, size = self.node.node_purge_children(node, until, CLUSTER_HISTORY)
+            hashes, size = self.node.node_purge_children(
+                node, until, CLUSTER_HISTORY)
             for h in hashes:
                 self.store.map_delete(h)
             self.node.node_purge_children(node, until, CLUSTER_DELETED)
-            self._report_size_change(user, account, -size, {'action': 'container purge', 'path':path})
+            self._report_size_change(user, account, -size, {'action':
+                                     'container purge', 'path': path})
             return
-        
+
         if not delimiter:
             if self._get_statistics(node)[0] > 0:
                 raise ContainerNotEmpty('Container is not empty')
-            hashes, size = self.node.node_purge_children(node, inf, CLUSTER_HISTORY)
+            hashes, size = self.node.node_purge_children(
+                node, inf, CLUSTER_HISTORY)
             for h in hashes:
                 self.store.map_delete(h)
             self.node.node_purge_children(node, inf, CLUSTER_DELETED)
             self.node.node_remove(node)
-            self._report_size_change(user, account, -size, {'action': 'container delete', 'path':path})
+            self._report_size_change(user, account, -size, {'action':
+                                     'container delete', 'path': path})
         else:
-        	# remove only contents
+                # remove only contents
             src_names = self._list_objects_no_limit(user, account, container, prefix='', delimiter=None, virtual=False, domain=None, keys=[], shared=False, until=None, size_range=None, all_props=True, public=False)
             paths = []
             for t in src_names:
                 path = '/'.join((account, container, t[0]))
                 node = t[2]
                 src_version_id, dest_version_id = self._put_version_duplicate(user, node, size=0, type='', hash=None, checksum='', cluster=CLUSTER_DELETED)
-                del_size = self._apply_versioning(account, container, src_version_id)
+                del_size = self._apply_versioning(
+                    account, container, src_version_id)
                 if del_size:
-                    self._report_size_change(user, account, -del_size, {'action': 'object delete', 'path':path})
-                self._report_object_change(user, account, path, details={'action': 'object delete'})
+                    self._report_size_change(user, account, -del_size, {'action': 'object delete', 'path': path})
+                self._report_object_change(
+                    user, account, path, details={'action': 'object delete'})
                 paths.append(path)
             self.permissions.access_clear_bulk(paths)
-    
+
     def _list_objects(self, user, account, container, prefix, delimiter, marker, limit, virtual, domain, keys, shared, until, size_range, all_props, public):
         if user != account and until:
             raise NotAllowedError
         if shared and public:
             # get shared first
-            shared = self._list_object_permissions(user, account, container, prefix, shared=True, public=False)
+            shared = self._list_object_permissions(
+                user, account, container, prefix, shared=True, public=False)
             objects = set()
             if shared:
                 path, node = self._lookup_container(account, container)
                 shared = self._get_formatted_paths(shared)
                 objects |= set(self._list_object_properties(node, path, prefix, delimiter, marker, limit, virtual, domain, keys, until, size_range, shared, all_props))
-            
+
             # get public
-            objects |= set(self._list_public_object_properties(user, account, container, prefix, all_props))
+            objects |= set(self._list_public_object_properties(
+                user, account, container, prefix, all_props))
             objects = list(objects)
-            
+
             objects.sort(key=lambda x: x[0])
-            start, limit = self._list_limits([x[0] for x in objects], marker, limit)
+            start, limit = self._list_limits(
+                [x[0] for x in objects], marker, limit)
             return objects[start:start + limit]
         elif public:
-            objects = self._list_public_object_properties(user, account, container, prefix, all_props)
-            start, limit = self._list_limits([x[0] for x in objects], marker, limit)
+            objects = self._list_public_object_properties(
+                user, account, container, prefix, all_props)
+            start, limit = self._list_limits(
+                [x[0] for x in objects], marker, limit)
             return objects[start:start + limit]
-        
-        allowed = self._list_object_permissions(user, account, container, prefix, shared, public)
+
+        allowed = self._list_object_permissions(
+            user, account, container, prefix, shared, public)
         if shared and not allowed:
             return []
         path, node = self._lookup_container(account, container)
         allowed = self._get_formatted_paths(allowed)
         objects = self._list_object_properties(node, path, prefix, delimiter, marker, limit, virtual, domain, keys, until, size_range, allowed, all_props)
-        start, limit = self._list_limits([x[0] for x in objects], marker, limit)
+        start, limit = self._list_limits(
+            [x[0] for x in objects], marker, limit)
         return objects[start:start + limit]
-    
+
     def _list_public_object_properties(self, user, account, container, prefix, all_props):
-        public = self._list_object_permissions(user, account, container, prefix, shared=False, public=True)
+        public = self._list_object_permissions(
+            user, account, container, prefix, shared=False, public=True)
         paths, nodes = self._lookup_objects(public)
         path = '/'.join((account, container))
         cont_prefix = path + '/'
@@ -525,7 +564,7 @@ class ModularBackend(BaseBackend):
         props = self.node.version_lookup_bulk(nodes, all_props=all_props)
         objects = [(path,) + props for path, props in zip(paths, props)]
         return objects
-        
+
     def _list_objects_no_limit(self, user, account, container, prefix, delimiter, virtual, domain, keys, shared, until, size_range, all_props, public):
         objects = []
         while True:
@@ -536,7 +575,7 @@ class ModularBackend(BaseBackend):
             if not l or len(l) < limit:
                 break
         return objects
-    
+
     def _list_object_permissions(self, user, account, container, prefix, shared, public):
         allowed = []
         path = '/'.join((account, container, prefix)).rstrip('/')
@@ -549,23 +588,24 @@ class ModularBackend(BaseBackend):
             if shared:
                 allowed.update(self.permissions.access_list_shared(path))
             if public:
-                allowed.update([x[0] for x in self.permissions.public_list(path)])
+                allowed.update(
+                    [x[0] for x in self.permissions.public_list(path)])
             allowed = sorted(allowed)
             if not allowed:
                 return []
         return allowed
-    
+
     @backend_method
     def list_objects(self, user, account, container, prefix='', delimiter=None, marker=None, limit=10000, virtual=True, domain=None, keys=[], shared=False, until=None, size_range=None, public=False):
         """Return a list of object (name, version_id) tuples existing under a container."""
-        
+
         logger.debug("list_objects: %s %s %s %s %s %s %s %s %s %s %s %s %s %s", user, account, container, prefix, delimiter, marker, limit, virtual, domain, keys, shared, until, size_range, public)
         return self._list_objects(user, account, container, prefix, delimiter, marker, limit, virtual, domain, keys, shared, until, size_range, False, public)
-    
+
     @backend_method
     def list_object_meta(self, user, account, container, prefix='', delimiter=None, marker=None, limit=10000, virtual=True, domain=None, keys=[], shared=False, until=None, size_range=None, public=False):
         """Return a list of object metadata dicts existing under a container."""
-        
+
         logger.debug("list_object_meta: %s %s %s %s %s %s %s %s %s %s %s %s %s %s", user, account, container, prefix, delimiter, marker, limit, virtual, domain, keys, shared, until, size_range, public)
         props = self._list_objects(user, account, container, prefix, delimiter, marker, limit, virtual, domain, keys, shared, until, size_range, True, public)
         objects = []
@@ -584,29 +624,32 @@ class ModularBackend(BaseBackend):
                                 'uuid': p[self.UUID + 1],
                                 'checksum': p[self.CHECKSUM + 1]})
         return objects
-    
+
     @backend_method
     def list_object_permissions(self, user, account, container, prefix=''):
         """Return a list of paths that enforce permissions under a container."""
-        
-        logger.debug("list_object_permissions: %s %s %s %s", user, account, container, prefix)
+
+        logger.debug("list_object_permissions: %s %s %s %s", user,
+                     account, container, prefix)
         return self._list_object_permissions(user, account, container, prefix, True, False)
-    
+
     @backend_method
     def list_object_public(self, user, account, container, prefix=''):
         """Return a dict mapping paths to public ids for objects that are public under a container."""
-        
-        logger.debug("list_object_public: %s %s %s %s", user, account, container, prefix)
+
+        logger.debug("list_object_public: %s %s %s %s", user,
+                     account, container, prefix)
         public = {}
         for path, p in self.permissions.public_list('/'.join((account, container, prefix))):
             public[path] = p + ULTIMATE_ANSWER
         return public
-    
+
     @backend_method
     def get_object_meta(self, user, account, container, name, domain, version=None, include_user_defined=True):
         """Return a dictionary with the object metadata for the domain."""
-        
-        logger.debug("get_object_meta: %s %s %s %s %s %s", user, account, container, name, domain, version)
+
+        logger.debug("get_object_meta: %s %s %s %s %s %s", user,
+                     account, container, name, domain, version)
         self._can_read(user, account, container, name)
         path, node = self._lookup_object(account, container, name)
         props = self._get_version(node, version)
@@ -614,16 +657,19 @@ class ModularBackend(BaseBackend):
             modified = props[self.MTIME]
         else:
             try:
-                modified = self._get_version(node)[self.MTIME] # Overall last modification.
-            except NameError: # Object may be deleted.
-                del_props = self.node.version_lookup(node, inf, CLUSTER_DELETED)
+                modified = self._get_version(
+                    node)[self.MTIME]  # Overall last modification.
+            except NameError:  # Object may be deleted.
+                del_props = self.node.version_lookup(
+                    node, inf, CLUSTER_DELETED)
                 if del_props is None:
                     raise ItemNotExists('Object does not exist')
                 modified = del_props[self.MTIME]
-        
+
         meta = {}
         if include_user_defined:
-            meta.update(dict(self.node.attribute_get(props[self.SERIAL], domain)))
+            meta.update(
+                dict(self.node.attribute_get(props[self.SERIAL], domain)))
         meta.update({'name': name,
                      'bytes': props[self.SIZE],
                      'type': props[self.TYPE],
@@ -635,25 +681,28 @@ class ModularBackend(BaseBackend):
                      'uuid': props[self.UUID],
                      'checksum': props[self.CHECKSUM]})
         return meta
-    
+
     @backend_method
     def update_object_meta(self, user, account, container, name, domain, meta, replace=False):
         """Update the metadata associated with the object for the domain and return the new version."""
-        
-        logger.debug("update_object_meta: %s %s %s %s %s %s %s", user, account, container, name, domain, meta, replace)
+
+        logger.debug("update_object_meta: %s %s %s %s %s %s %s",
+                     user, account, container, name, domain, meta, replace)
         self._can_write(user, account, container, name)
         path, node = self._lookup_object(account, container, name)
-        src_version_id, dest_version_id = self._put_metadata(user, node, domain, meta, replace)
+        src_version_id, dest_version_id = self._put_metadata(
+            user, node, domain, meta, replace)
         self._apply_versioning(account, container, src_version_id)
         return dest_version_id
-    
+
     @backend_method
     def get_object_permissions(self, user, account, container, name):
         """Return the action allowed on the object, the path
         from which the object gets its permissions from,
         along with a dictionary containing the permissions."""
-        
-        logger.debug("get_object_permissions: %s %s %s %s", user, account, container, name)
+
+        logger.debug("get_object_permissions: %s %s %s %s", user,
+                     account, container, name)
         allowed = 'write'
         permissions_path = self._get_permissions_path(account, container, name)
         if user != account:
